keepassxc-browser (1.9.7+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed chromium-extension-key.patch
  * Updated copyright years of upstream and Debian packaging
  * Declared compliance with Standards Version 4.7.1. No changes were required.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 22 Feb 2025 06:09:21 +0100

keepassxc-browser (1.9.6+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed chromium-extension-key.patch

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 27 Dec 2024 06:04:40 +0100

keepassxc-browser (1.9.5+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 27 Nov 2024 19:38:43 +0100

keepassxc-browser (1.9.4+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed chromium-extension-key.patch

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 26 Oct 2024 09:27:17 +0200

keepassxc-browser (1.9.3+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 25 Aug 2024 07:35:19 +0200

keepassxc-browser (1.9.2+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed fix-browser-polyfill-includex.patch

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 12 Aug 2024 18:37:13 +0200

keepassxc-browser (1.9.1.1+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 07 Jul 2024 08:33:37 +0200

keepassxc-browser (1.9.1+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed fix-browser-polyfill-includex.patch
    + Refreshed chromium-extension-key.patch

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 01 Jul 2024 15:00:14 +0200

keepassxc-browser (1.9.0.5+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed chromium-extension-key.patch

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 13 May 2024 06:24:45 +0200

keepassxc-browser (1.9.0.4+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 04 May 2024 05:05:21 +0200

keepassxc-browser (1.9.0.3+repack1-2) unstable; urgency=medium

  * Replaced dependency on keepassxc by keepassxc-full. The latter contains the
    communication plugin the web extions requires.

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 25 Apr 2024 07:01:11 +0200

keepassxc-browser (1.9.0.3+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 01 Apr 2024 06:03:18 +0200

keepassxc-browser (1.9.0.2+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 14 Mar 2024 19:33:07 +0100

keepassxc-browser (1.9.0.1+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed fix-bootstrap-includes.patch
    + Refreshed fix-browser-polyfill-includex.patch
    + Refreshed fix-fork-awesome-css-includes.patch
  * Versioned dependency on keepassxc. Upstream had removed the password
    generator and the plugin therefore requires KeePassXC 2.7 as a minimum.

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 08 Mar 2024 15:57:20 +0100

keepassxc-browser (1.8.12+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed chromium-extension-key.patch
  * Updated years in debian/copyright

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 01 Feb 2024 18:46:48 +0100

keepassxc-browser (1.8.11+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed fix-bootstrap-includes.patch

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 09 Jan 2024 17:30:24 +0100

keepassxc-browser (1.8.10+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 03 Dec 2023 07:21:19 +0100

keepassxc-browser (1.8.9+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed chromium-extension-key.patch

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 16 Oct 2023 19:22:26 +0200

keepassxc-browser (1.8.8.1+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 03 Oct 2023 16:39:15 +0200

keepassxc-browser (1.8.8+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed patches
  * Removed version from dependency firefox, because the current stable
    fulfills that.

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 21 Sep 2023 12:34:06 +0200

keepassxc-browser (1.8.7+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 08 Jul 2023 05:45:28 +0200

keepassxc-browser (1.8.6.1+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed patches
  * Upload to unstable (Closes: #1038208)

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 24 Jun 2023 05:50:23 +0200

keepassxc-browser (1.8.6+repack1-1) experimental; urgency=medium

  * New upstream release
    + Refresh chromium-extension-key.patch

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 03 Apr 2023 16:11:38 +0200

keepassxc-browser (1.8.5.1+repack1-1) experimental; urgency=medium

  * New upstream release
    + Updated KeePassXC Team copyright years up to 2023

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 05 Mar 2023 06:16:32 +0100

keepassxc-browser (1.8.4+repack1-7) unstable; urgency=medium

  * Upload to sid for testing/bookworm as libjs-bootstrap5 migrated to
    testing/bookworm. This allows the following for bookworm:
    + Avoid a code copy of the jQuery library which was required for the
      previous libjs-bootstrap4 build-dependency.
    + The upstream extension included a code copy of Bootstrap 5, while the
      Debian package has been replacing it by a packaged Bootstrap. Using the
      same Bootstrap version like upstream lowers compatibility issues.

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 13 Feb 2023 10:38:17 +0100

keepassxc-browser (1.8.4+repack1-6) experimental; urgency=medium

  * Merged previous three Debian revisions from sid into experimental branch.

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 08 Feb 2023 05:44:00 +0100

keepassxc-browser (1.8.4+repack1-5) unstable; urgency=medium

  * Declare compliance to Standards Version 4.6.2. No changes.
  * Added lintian override for false positive detection of jQuery.

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 08 Feb 2023 05:17:35 +0100

keepassxc-browser (1.8.4+repack1-4) unstable; urgency=medium

  * Fixed needless quotation mark character ('"') in popup menu

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 07 Feb 2023 19:51:05 +0100

keepassxc-browser (1.8.4+repack1-3) unstable; urgency=medium

  * Fixed loading in Chromium. Many thanks to Guillem Jover for pointing me to
    the root cause. (Closes: #1013876)
    + Replaced faulty browser-poliyfill.js from wrong build-dependency
      node-cross-fetch by code copy
      debian/missing-sources/browser-polyfill.js and updated debian/copyright
      accordingly.

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 07 Feb 2023 19:28:47 +0100

keepassxc-browser (1.8.4+repack1-2) experimental; urgency=medium

  * Updated build-dependency from libjs-bootstrap4 to libjs-bootstrap5
    + Removed obsolete build-dependency on jQuery
    + Removed obsolete workaround-old-bootstrap.patch
    + Updated Built-Using logic in debian/rules

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 06 Feb 2023 05:38:04 +0100

keepassxc-browser (1.8.4+repack1-1) unstable; urgency=medium

  * New upstream release (Closes: #1027813)
    + Refreshed patches
  * Updated packaging copyright year in debian/copyright

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 05 Feb 2023 13:46:25 +0100

keepassxc-browser (1.8.3.1+repack1-1) unstable; urgency=medium

  * New upstream release (Closes: #1024321)
  * Updated URL in debian/watch for GitHub to fix uscan

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 19 Nov 2022 05:29:31 +0100

keepassxc-browser (1.8.1+repack1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + webext-keepassxc-browser: Drop versioned constraint on chromium and
      firefox-esr in Recommends.

  [ Bruno Kleinert ]
  * Corrected copyright information on one file. Thanks to the Janitor Bot for
    pointing to this by a false positive.

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 18 Nov 2022 19:26:48 +0100

keepassxc-browser (1.8.1+repack1-1) unstable; urgency=medium

  * New upstream release
    + Drop debian/patches/remove-obsolete-jquery-includes.patch
    + Refresh patches
  * Re-added jQuery as build-dependency
    + It is a bootstrap 4 dependency
    + Add debian/patches/workaround-old-bootstrap.patch
    + Fixed permanently empty list of connected databases
  * Declare compliance with standards version 4.6.1. No changes.

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 28 Aug 2022 08:48:33 +0200

keepassxc-browser (1.8.0+repack1-2) unstable; urgency=medium

  * Build-depend on node-cross-fetch package to pull in browser-polyfill.js
    from it.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 25 Jun 2022 06:20:44 +0200

keepassxc-browser (1.8.0+repack1-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
    + fix-bootstrap-includes.patch
    + fix-browser-polyfill-includex.patch
    + fix-fork-awesome-css-includes.patch
    + fix-nacl-includes.patch
  * Upstream removed jQuery dependency
    + Removed fix-jquery-includes.patch
    + Removed build dependency on node-jquery
    + Removed jquery-3.4.1.min.js from Files-Excluded
    + Added remove-obsolete-jquery-includes.patch to remove two obsolete
      includes
  * Updated and extended lintian overrides

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 24 Jun 2022 18:07:16 +0200

keepassxc-browser (1.7.12+repack1-1) unstable; urgency=medium

  * New upstream release
  * Updated upstream copyright years in debian/copyright

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 10 Apr 2022 17:55:32 +0200

keepassxc-browser (1.7.11+repack1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Bruno Kleinert ]
  * Update debian packaging copyright years in debian/copyright.

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 06 Mar 2022 07:43:34 +0100

keepassxc-browser (1.7.11+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed debian/patches/chromium-extension-key.patch
  * Reverted watch file, as it was not actually fixed.

 -- Bruno Kleinert <fuddl@debian.org>  Sun, 12 Dec 2021 09:09:25 +0100

keepassxc-browser (1.7.10.1+repack1-1) unstable; urgency=medium

  * New upstream release
  * Fixed debian/watch that made uscan from devscripts 2.21.5 bail out

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 17 Nov 2021 11:44:17 +0100

keepassxc-browser (1.7.10+repack1-1) unstable; urgency=medium

  * New upstream release
    + Refreshed chromium-extension-key.patch
    + Removed 00-never-check-for-updates-by-default.patch; applied upstream
  * Declare compliance with standards version 4.6.0. No changes required.

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 16 Nov 2021 19:22:58 +0100

keepassxc-browser (1.7.9.1+repack1-2) unstable; urgency=medium

  * Upload to unstable

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 17 Aug 2021 07:15:47 +0200

keepassxc-browser (1.7.9.1+repack1-1) experimental; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 22 Jul 2021 17:55:31 +0200

keepassxc-browser (1.7.9+repack1-1) experimental; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 21 Jul 2021 18:51:18 +0200

keepassxc-browser (1.7.8.1+repack1-1) experimental; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 12 Apr 2021 18:50:28 +0200

keepassxc-browser (1.7.8+repack1-1) experimental; urgency=medium

  * New upstream release
  * Bumped debhelper-compat to 13 in debian/control

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 10 Apr 2021 16:10:08 +0200

keepassxc-browser (1.7.7+repack1-1) experimental; urgency=medium

  * New upstream release
  * Refreshed debian/patches/00-never-check-for-updates-by-default.patch
  * Refreshed debian/patches/chromium-extension-key.patch
  * Made debian/fetch-missing-sources.sh download version 0.7.0 of
    browser-polyfill.js
  * Updated debian/missing-sources/browser-polyfill.js to version 0.7.0 as
    upstream updated to that version. Updated copyright years accordingly in
    debian/copyright
  * Removed superfluous Expat license from debian/copyright thanks to lintian.
    The accordingly licensed code copies were replaced by a dependency on
    libjs-bootstrap4

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 02 Apr 2021 04:52:28 +0200

keepassxc-browser (1.7.6+repack1-1) experimental; urgency=medium

  * New upstream release
  * Refreshed chromium-extension-key.patch

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 04 Feb 2021 06:36:18 +0100

keepassxc-browser (1.7.5+repack1-2) experimental; urgency=medium

  * Updated upstream sources and packaging copyright years

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 04 Feb 2021 06:05:38 +0100

keepassxc-browser (1.7.5+repack1-1) experimental; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 01 Feb 2021 18:49:48 +0100

keepassxc-browser (1.7.4+repack1-2) unstable; urgency=medium

  * Added version control system fields to debian/control

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 30 Dec 2020 14:39:38 +0100

keepassxc-browser (1.7.4+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 22 Dec 2020 03:41:30 +0100

keepassxc-browser (1.7.3+repack1-2) unstable; urgency=medium

  * In 1.7.2+repack1-1 the Files-Excluded list was updated, but the replaced
    files table in README.source wasn't. Updated the table accordingly.
  * Updated standards version to 4.5.1 without changes.

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 21 Nov 2020 17:42:48 +0100

keepassxc-browser (1.7.3+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 07 Nov 2020 13:13:58 +0100

keepassxc-browser (1.7.2+repack1-1) unstable; urgency=medium

  * New upstream release
  * Added keepassxc-browser/common/browser-polyfill.min.js to excluded files in
    debian/copyright
  * Adjusted installation paths in debian/webext-keepassxc-browser.install
  * Refreshed patches
    * fix-nacl-includes.patch
    * fix-jquery-includes.patch
    * fix-fork-awesome-css-includes.patch
    * fix-browser-polyfill-includex.patch
    * fix-bootstrap-includes.patch
    * chromium-extension-key.patch

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 03 Nov 2020 13:17:31 +0100

keepassxc-browser (1.7.1+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 14 Sep 2020 11:03:10 +0200

keepassxc-browser (1.7.0+repack1-1) unstable; urgency=medium

  * New upstream release
  * Refreshed patches
  * Corrected file order in debian/copyright to increasing path depth order.
    Thanks to lintian pointing this out!

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 02 Sep 2020 10:01:22 +0200

keepassxc-browser (1.6.6+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Mon, 13 Jul 2020 18:23:19 +0200

keepassxc-browser (1.6.5+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 11 Jul 2020 07:53:20 +0200

keepassxc-browser (1.6.4+repack1-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 16 Jun 2020 05:50:02 +0200

keepassxc-browser (1.6.3+repack1-2) unstable; urgency=medium

  * Fixed 'Cannot connect to keepassxc from chromium'. Added key 'key' to
    keepassxc-browser/manifest.json to make the extension identify itself from
    within the Chromium browser to KeePassXC with a permitted identifier.
    Documented in debian/README.source how to obtain they key. (Closes: #962246)

 -- Bruno Kleinert <fuddl@debian.org>  Sat, 06 Jun 2020 07:36:23 +0200

keepassxc-browser (1.6.3+repack1-1) unstable; urgency=medium

  * Added Files-Excluded field to debian/copyright.
  * Introduce versioned repackN suffix.
  * Repacked upstream distribution: Excluded GitHub and Transifex configuration
    directories, too.
  * Added oversionmangle option to debian/watch and documented in
    debian/README.source how the package is to be updated to a new upstream
    release.
  * Updated path from which jquery.js is installed.

 -- Bruno Kleinert <fuddl@debian.org>  Fri, 15 May 2020 12:15:34 +0200

keepassxc-browser (1.6.3+repack-2) unstable; urgency=medium

  * Added field Rules-Requires-Root: no to debian/control

 -- Bruno Kleinert <fuddl@debian.org>  Wed, 29 Apr 2020 10:16:14 +0200

keepassxc-browser (1.6.3+repack-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Tue, 28 Apr 2020 09:41:01 +0200

keepassxc-browser (1.6.2+repack-1) unstable; urgency=medium

  * New upstream release

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 09 Apr 2020 13:16:55 +0200

keepassxc-browser (1.6.1+repack-1) unstable; urgency=medium

  * Initial release. (Closes: #919190)

 -- Bruno Kleinert <fuddl@debian.org>  Thu, 26 Mar 2020 18:36:28 +0100
